# pyFR Configuration

# Number of sessions per subject
numSessions = 5

# Number of trials/lists per session
numTrials = 16

# Number of words per trial/list
listLen = 15

# Pause+Jitter after orienting stim before first word
PauseBeforeWords = 1000
JitterBeforeWords = 400

PauseBeforeRecall = 500
JitterBeforeRecall = 200

# Word Font size (percentage of vertical screen)
wordHeight = .1

# Duration word is on the screen
wordDuration = 1600

# ISI+Jitter after word is cleared from the screen
ISI = 800
Jitter = 400

# Duration of recall in ms
recallDuration = 45000

# Beep at start and end of recording (freq,dur,rise/fall)
startBeepFreq = 800
startBeepDur = 500
startBeepRiseFall = 100
stopBeepFreq = 400
stopBeepDur = 500
stopBeepRiseFall = 100

# Orienting Stimulus text
orientText = '+'
recallStartText = '*******'

# Recognition task
doRecognition = True
RECOG_numLures = 60
RECOG_numTargets = 60
RECOG_instructions = 'text/recog_instruct.txt'
RECOG_ISI = 2400
RECOG_ISI_jitter = 200
RECOG_minDuration = 150
RECOG_maxDuration = 5000
RECOG_targetKey = '/'
RECOG_lureKey = 'Z'

# Math distractor options
doMathDistract = True
continuousDistract = False
MATH_numVars = 3
MATH_maxNum = 9
MATH_minNum = 1
MATH_maxProbs = 50
MATH_plusAndMinus = False
MATH_minDuration_Practice = 30000
MATH_minDuration = 20000
MATH_textSize = .1
MATH_correctBeepDur = 500
MATH_correctBeepFreq = 400
MATH_correctBeepRF = 50
MATH_correctSndFile = None
MATH_incorrectBeepDur = 500
MATH_incorrectBeepFreq = 200
MATH_incorrectBeepRF = 50
MATH_incorrectSndFile = None

# Word pool to use
wp = 'pools/word-pool.txt'
presentationType = 'text'  # image, sound, text
presentationAttribute = 'name'  # attribute to use to create the text

# Instructions text file
practice_instruct = 'text/fr_practice_instruct.txt'
instruct = 'text/fr_instruct.txt'

# Default font
defaultFont = 'fonts/Verdana.ttf'

# Realtime configuration
# ONLY MODIFY IF YOU KNOW WHAT YOU ARE DOING!
# HOWEVER, IT SHOULD BE TWEAKED FOR EACH MACHINE
doRealtime = True
rtPeriod = 120
rtComputation = 9600
rtConstraint = 1200


# Optional Sequencses for Session/Trial/Word-Level config

